from typing import Optional

from . import (
    LenenergoParser,
    concurrent_fetch_builing_ids,
    preprocess_df,
    split_addresses,
)


def pipeline(parser: Optional[LenenergoParser] = None) -> LenenergoParser:
    if parser is None:
        parser = LenenergoParser(ndays=15)

    print(parser)

    parser.df = split_addresses(parser.df)

    for i in range(len(parser.df)):
        print(parser.df['Улица'].iloc[i])


    parser.df = concurrent_fetch_builing_ids(parser.df)

    parser.df = preprocess_df(parser.df)

    return parser
